உள்ளடக்கத்திற்குச் செல்க

FFmpeg API [Merge Audios]

ஒருங்கிணை

மாடல் id ffmpeg-api/merge-audios
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/merge-audios?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audios": [
      "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
      "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ஒவ்வொரு இயக்கத்திற்கும் $0.306 வரை உண்மையான பயன்பாட்டின் அடிப்படையில் கட்டணம்; மீதம் பணத்தைத் திருப்பியளிக்கப்படும் இந்தப் பக்கத்தில் இயக்குங்கள்

API விசையைப் பெறுக
Utility ஆடியோ #ffmpeg

2 முதல் 5 ஆடியோ கோப்புகளை வரிசைப்படி ஒன்றாக இணைத்து, தேர்ந்தெடுக்கக்கூடிய வெளியீட்டு கோடெக் மற்றும் விகிதத்துடன் ஒரு கோப்பாக உருவாக்குகிறது

Utility · ஆடியோ

உங்கள் முதல் முடிவு இங்கே வரும்

கீழே ஒரு கோரிக்கையை உருவாக்கி, உங்கள் API விசையுடன் இயக்குங்கள். வெளியீடுகள் எங்கள் சேமிப்பகத்தில் நகலெடுக்கப்பட்டு, நிரந்தரமாக அல்லது இலவசமாக 7 நாட்கள் வைக்கப்படும்.

கோரிக்கையை உருவாக்கு

மாடல் ஸ்கீமாவிலிருந்து கட்டுப்பாடுகள் உருவாக்கப்படுகின்றன. அவற்றை மாற்றும்போது குறியீடும் விலையும் புதுப்பிக்கப்படும்.

•தேவை audio_urls
கோப்பை விடுங்கள் அல்லது · 5 வரை

ஆடியோ URL-களால் குறிப்பிடப்படும் ஒன்றிணைப்பு வரிசை; பட்டியலிடப்பட்ட ஒவ்வொரு கோப்பிலிருந்தும் stream 0 பயன்படுத்தப்படுகிறது.

மேம்பட்டவை output_format

ஒன்றிணைக்கப்பட்ட ஆடியோவின் வெளியீட்டு வடிவம், codec_sample_rate_bitrate என குறிப்பிடப்படுகிறது. விடுபட்டால், FFMPEG வடிவத்தைத் தானாக நிர்ணயிக்கும்.

POST /run/ffmpeg-api/merge-audios?wait=20 விலை → $0.306
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/merge-audios?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audios": [
      "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
      "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கையை இயக்கு

உங்கள் key இந்த உலாவியில் மட்டுமே இருக்கும்: அது Doitong API-க்கு மட்டும் அனுப்பப்படும்; Remember-ஐத் தேர்ந்தெடுத்தால் மட்டுமே (localStorage)-ல் சேமிக்கப்படும். API விசையைப் பெறுங்கள்

FFmpeg API [Merge Audios] பற்றி

`audio_urls` இல் பட்டியலிடப்பட்டுள்ள ஆடியோ கோப்புகளை வழங்கப்பட்ட வரிசையில் ஒரே டிராக்காக இணைக்கிறது. 2 முதல் 5 URLகள் வரை ஏற்கப்படும். `output_format` கோடெக், மாதிரி விகிதம் மற்றும் பிட்ரேட்டைத் தேர்ந்தெடுக்கிறது; mp3, pcm, ulaw, alaw மற்றும் opus விருப்பங்கள் உள்ளன. குறிப்பிடப்படாவிட்டால், வடிவம் தானாகத் தேர்ந்தெடுக்கப்படும்.

அளவுருக்கள்

நியமப் பெயர் அல்லது நேட்டிவ் பெயர் இரண்டில் ஒன்றை மட்டும் அனுப்பவும். நியமப் பெயர்கள்

பெயர்வகை இயல்புநிலைஅனுமதிக்கப்பட்டது விளக்கம்
audio_urlsதேவை audios
வகைurl[] · audio
≤ 5 உருப்படிகள்≥ 2 உருப்படிகள்
ஆடியோ URL-களால் குறிப்பிடப்படும் ஒன்றிணைப்பு வரிசை; பட்டியலிடப்பட்ட ஒவ்வொரு கோப்பிலிருந்தும் stream 0 பயன்படுத்தப்படுகிறது.
output_formatவிருப்பத்தேர்வு
வகைenum
mp3_22050_32mp3_44100_32mp3_44100_64mp3_44100_96mp3_44100_128mp3_44100_192pcm_8000pcm_16000pcm_22050pcm_24000pcm_44100pcm_48000ulaw_8000alaw_8000opus_48000_32opus_48000_64
+3 மேலும்opus_48000_96opus_48000_128opus_48000_192
ஒன்றிணைக்கப்பட்ட ஆடியோவின் வெளியீட்டு வடிவம், codec_sample_rate_bitrate என குறிப்பிடப்படுகிறது. விடுபட்டால், FFMPEG வடிவத்தைத் தானாக நிர்ணயிக்கும்.
தேவை நியமப் பெயர், இதுவும் ஏற்கப்படும்

கோப்பு அளவுருக்கள் பொதுவான https:// URL, 10 MB வரையிலான data: URI அல்லது பதிவேற்றத்தின் file_url-ஐ ஏற்கும். கோப்புகள்

வெளியீடு

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ffmpeg-api/merge-audios",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 306,
    "usd": "0.306",
    "charged": 306,
    "refunded": 0
  },
  "input": {
    "audio_urls": [
      "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
      "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
    ]
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
உங்கள் கோப்புகள், உங்கள் தேர்வுஒவ்வொரு outputs[].url-ம் எங்கள் சேமிப்பகத்தில் உள்ள ஒரு நகல்: நிரந்தரமாக (GB-மாதத்திற்கு கட்டணம்) அல்லது உங்கள் கணக்கு அமைப்பு அல்லது ?storage= மூலம் இலவசமாக 7 நாட்கள் வைக்கப்படும்.
ஒவ்வொரு மாடலிலும் ஒரே வடிவம்படங்கள், வீடியோ மற்றும் ஆடியோ ஆகிய அனைத்திற்குமான type, url, content_type, width, height மற்றும் duration. output என்பது மாதிரியின் சொந்த முடிவு பொருளாகும்.
வெளியீட்டின் புலங்கள்
audio
object {url, content_type, file_name, file_size}ஒன்றிணைப்பால் உருவாக்கப்பட்ட ஆடியோ கோப்பு.

மேலும் மாதிரிகள்: ஆடியோ

AI ஏஜெண்டுகளுக்கு: இந்தப் பக்கம் Markdown வடிவில் இங்கே உள்ளது https://doitong.com/ta/developers/models/ffmpeg-api/merge-audios.md. அனைத்து மாடல்களும் வழிகாட்டிகளும்: https://doitong.com/developers/llms.txt